/**********************************************************************
* File: Lab_12.cmd -- File for Lab 12
* Devices: TMS320F28335
* Author: Technical Training Organization (TTO), Texas Instruments
* History:
*   07/15/08 - original
**********************************************************************/


/**************************************************************/
/* Link all user defined sections                             */
/**************************************************************/
 
SECTIONS
{
/*** User Defined Sections ***/
   codestart         : > BEGIN_FLASH,           PAGE = 0                /* Used by file CodeStartBranch.asm */
   csm_rsvd          : > CSM_RSVD,              PAGE = 0                /* Used by file passwords.asm */
   dmaMemBufs        : > L47SARAM,              PAGE = 1                /* Link to DMA accessible memory */
   passwords         : > PASSWORDS,             PAGE = 0                /* Used by file passwords.asm */

   /* Section secureRamFuncs used by file Flash.c */
   secureRamFuncs    :   LOAD = FLASH,          PAGE = 0                /* Should be Flash */ 
                         RUN = L03SARAM,        PAGE = 0                /* Must be CSM secured RAM */
                         LOAD_START(_secureRamFuncs_loadstart),
                         LOAD_SIZE(_secureRamFuncs_loadsize),
                         RUN_START(_secureRamFuncs_runstart)

/*** IQmath Sections ***/
   IQmathTables      : > IQTABLES,              PAGE = 0, TYPE = NOLOAD
   IQmath            : > FLASH,                 PAGE = 0
}

/******************* end of file ************************/
